package com.lqkj.link.module.bulletin.service;

import com.lqkj.link.module.bulletin.domain.NoticeInfo;
import com.lqkj.link.module.bulletin.repository.NoticeInfoRepository;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class NoticeInfoService {
    private final NoticeInfoRepository noticeInfoRepository;

    public NoticeInfoService(NoticeInfoRepository noticeInfoRepository) {
        this.noticeInfoRepository = noticeInfoRepository;
    }

    public List<NoticeInfo> queryList(String userCode) {
        return noticeInfoRepository.queryWithUserCode(userCode);
    }

    @Transactional
    public void view(Integer infoId) {
        noticeInfoRepository.view(infoId);
    }
}
