package com.lqkj.link.module.zone.controller;

import com.lqkj.link.module.zone.domain.LayerInfo;
import com.lqkj.link.module.zone.service.LayerInfoService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static com.lqkj.link.APIVersion.VERSION_V2;

@RestController
@RequestMapping("/layer")
@Tag(name = "图层信息", description = "图层信息")
public class LayerInfoController {
    private final LayerInfoService layerInfoService;

    public LayerInfoController(LayerInfoService layerInfoService) {
        this.layerInfoService = layerInfoService;
    }

    @Operation(
            summary = "5.1.2.17 图层目录读取接口V2",
            description = "5.1.2.17 图层目录读取接口V2",
            parameters = {
                    @Parameter(name = "zoneId", description = "作品ID", required = true)
            }
    )
    @PostMapping("/" + VERSION_V2 + "/byZone")
    public List<LayerInfo> queryLayersV2(@RequestParam Integer zoneId) {
        return layerInfoService.queryByZoneId(zoneId);
    }

}
