package com.lqkj.link.module.zone.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Entity
@Table(name = "model_category")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class ModelCategory {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "category_id")
    @Schema(description = "资源分类ID")
    private Integer categoryId;
    @Column(name = "user_id")
    @Schema(description = "所属用户ID")
    private Integer userId;
    @Column(name = "category_name")
    @Schema(description = "分类/文件夹名称")
    private String categoryName;
    @Column(name = "icon")
    @Schema(description = "分类图标")
    private String icon;
    @Column(name = "order_id")
    @Schema(description = "排序")
    private Integer orderId;
    @Transient
    @Schema(description = "模型列表")
    private List<ModelInfo> modelInfoList;
    @Transient
    @Schema(description = "模型数量")
    private Integer modelCount;
    @Column(name = "compress_file_path")
    @Schema(description = "模型压缩文件路径")
    private String compressFilePath;
    @Transient
    @Schema(description = "是否有上传模型压缩文件")
    private Boolean uploadCompress;
    @Column(name = "compress_file_name")
    private String compressFileName;
}
